package javax.naming.spi;

import javax.naming.NamingException;
import javax.naming.directory.Attributes;
import java.util.Hashtable;
import javax.naming.Context;
import javax.naming.Name;

public interface DirStateFactory extends StateFactory
{
    public abstract DirStateFactory.Result getStateToBind(Object p0, Name p1, Context p2, Hashtable<?, ?> p3, Attributes p4) throws NamingException;
    
    public static class Result
    {
        private Object obj;
        private Attributes attrs;
        
        public Result(Object obj, Attributes attrs) {
            this.obj = obj;
            this.attrs = attrs;
        }
        
        public Object getObject() {
            return this.obj;
        }
        
        public Attributes getAttributes() {
            return this.attrs;
        }
    }
}
